Bug 1550079 - scriptlet failure when installing go-toolset-7-runtime
Summary: scriptlet failure when installing go-toolset-7-runtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: DevTools
Classification: Red Hat
Component: go-toolset-7
Version: go-toolset-7
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2018.2
Assignee: Derek Parker
QA Contact: Edjunior Barbosa Machado
Vladimír Slávik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-28 13:20 UTC by Edjunior Barbosa Machado
Modified: 2018-05-03 03:58 UTC (History)
4 users (show)

Fixed In Version: go-toolset-7-runtime-1.8-14.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-05-03 03:58:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1304 None None None 2018-05-03 03:58:57 UTC

Description Edjunior Barbosa Machado 2018-02-28 13:20:05 UTC
Description of problem:
go-toolset-7-runtime POSTIN scriptlet fails, leading to tps-rpmtest failure.

Version-Release number of selected component (if applicable):
go-toolset-7-runtime-1.8-13.el7

How reproducible:
100%

Steps to Reproduce:
# yum install ./go-toolset-7-runtime-1.8-13.el7.s390x.rpm -y
...
Running transaction
  Installing : go-toolset-7-runtime-1.8-13.el7.s390x                                                                                                                                                             1/1 
rm: cannot remove ‘/opt/rh/go-toolset-7/go-toolset-7’: No such file or directory
warning: %post(go-toolset-7-runtime-1.8-13.el7.s390x) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package go-toolset-7-runtime-1.8-13.el7.s390x
...

Comment 1 Derek Parker 2018-02-28 17:52:07 UTC
So this only happens on the s390x architecture?

Comment 2 Josh Stone 2018-02-28 18:32:05 UTC
Ah, that's a hack on el8, which got partially applied to el7.

Part 1:
> touch %{buildroot}%{_scl_scripts}/%{scl}

Part 2:
> %post runtime
> rm %{_scl_scripts}/%{scl}

There's a bug in scl-utils.el8 that %scl_files includes this extra path, so the hack is to create it and then remove it in %post.

Somehow we got only the second part applied on el7, but I think we don't need the hack at all.  I would just remove this %post from el7.

Comment 3 Edjunior Barbosa Machado 2018-03-01 08:48:11 UTC
(In reply to Derek Parker from comment #1)
> So this only happens on the s390x architecture?

No, this is reproducible in the other archs as well (tested in x86_64 and ppc64le).

Comment 4 Derek Parker 2018-03-01 17:02:45 UTC
Got it, thanks Josh for the insight, I'll get this fixed.

Comment 12 errata-xmlrpc 2018-05-03 03:58:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1304


Note You need to log in before you can comment on or make changes to this bug.